<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

function elementarypos_item_shortcode( $atts = [], $tag = '' ) {
// normalize attribute keys, lowercase
$atts = array_change_key_case( (array) $atts, CASE_LOWER );

$el_atts = shortcode_atts(
        array(
            'columns' => 'name,price,category,note',
            'category' => '',
            'color' => '',
        ), $atts, $tag
    );

$columns = explode(",", $el_atts['columns']);

// start box
$o = '<div class="elementarypos-box">';

$json = elementarypos_get_items($el_atts['category'],$el_atts['color']);

if($json !== null) {
    $json_data = json_decode($json,true);
    $items = $json_data['items'];

    $o .= "<table>";


    foreach ($items as $item) {
        $o .= "<tr>";

        if (in_array("name", $columns)) {
            $o .= '<td class="elementarypos-item-col-name">';
            $o .= esc_html($item['text']);
            $o .= "</td>";
        }

        if (in_array("price", $columns)) {
            $o .= '<td class="elementarypos-item-col-price">';
            $o .= esc_html($item['priceStr']);
            $o .= "</td>";
        }

        if (in_array("category", $columns)) {
            $o .= '<td class="elementarypos-item-col-category">';
            $o .= esc_html($item['categoryName']);
            $o .= "</td>";
        }

        if (in_array("note", $columns)) {
            $o .= '<td class="elementarypos-item-col-note">';;
            $o .= esc_html($item['note']);
            $o .= "</td>";
        }

        $o .= "</tr>";
    }

    $o .= "</table>";
} else {
    $o .= "<p>Cannot fetch data from Elementary POS. Please check API key.</p>";
}

// end box
$o .= '</div>';

// return output
return $o;
}
